#
# spec file for package gmpc-playlistsort
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           gmpc-playlistsort
Version:        0.20.0
Release:        pm152.4.3
Summary:        Gmpc Magnatune Plugin
License:        GPL-2.0-only
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://gmpc.fandom.com
Source0:        https://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE strndup.patch avvissu@yandex.ru -- Fix build with glibc-2.20 (define to 1 if have the `strndup' function)
Patch0:         gmpc-playlistsort-0.20.0_strndup.patch
# PATCH-FIX-OPENSUSE gmpc-playlistsort-0.20.0_return.patch aloisio@gmx.com -- fix build with newer gcc
Patch1:         gmpc-playlistsort-0.20.0_return.patch
BuildRequires:  libtool
BuildRequires:  pkgconfig
Requires:       gmpc
BuildRequires:  pkgconfig(gmpc)
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
BuildRequires:  pkgconfig(egl)
%endif

%description
Gnome Music Player Client Plugin
The plugin allows you to browse, and preview available albums on www.magnatune.com.

%prep
%autosetup -p1

%build
sed -i -e "s|/lib/|/%{_lib}/|g" src/Makefile.in src/Makefile.am
autoreconf -fiv
%configure
%make_build

%install
%make_install

%files
%dir %{_libdir}/gmpc
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/playlistsortplugin.la
%{_libdir}/gmpc/plugins/playlistsortplugin.so

%changelog
* Wed Apr 22 2020 Luigi Baldoni <aloisio@gmx.com>
- Add gmpc-playlistsort-0.20.0_return.patch
- Spec cleanup
* Wed Nov 12 2014 avvissu@yandex.ru
- Fix build on armv6l (exclude raspberrypi-userland)
- Fix build with libmpd1 on openSUSE > 13.2
  * add gmpc-playlistsort-0.20.0_strndup.patch
- Use pkgconfig in package names
- Add BuildRequires: libtool pkgconfig
- Spec file cleanup
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Thu Sep 24 2009 detlef@links2linux.de 
- new upstream version <0.19.0>
* Sun Dec 28 2008 detlef@links2linux.de
- initial build for packman <0.17.0>
